version: 1

metadata:
  category: Lightning Node Management
  name: Ride The Lightning
  version: 0.15.4
  tagline: Manage lightning node operations better
  description: >-
    Ride the Lightning makes it easier to manage your Lightning node.
  developers:
    Shahana and Suheb: ridethelightning.info
  repos:
    Public: https://github.com/Ride-The-Lightning/RTL
  support: https://twitter.com/RTL_App
  gallery:
    - 1.jpg
    - 2.jpg
    - 3.jpg
  default_password: {{ derive_entropy(identifier="password") }}
  has_permissions:
    - lnd/access-grpc
    - lnd/access-rest
    - bitcoin/access-rpc
  exported_data:
    bitcoin:
      info:
        rpc_accounts: []
    lnd:
      auth:
        macaroons:
          admin:
            permissions:
              - entity: address
                action: read
              - entity: address
                action: write
              - entity: info
                action: read
              - entity: info
                action: write
              - entity: invoices
                action: read
              - entity: invoices
                action: write
              - entity: macaroon
                action: generate
              - entity: macaroon
                action: read
              - entity: macaroon
                action: write
              - entity: message
                action: read
              - entity: message
                action: write
              - entity: onchain
                action: read
              - entity: onchain
                action: write
              - entity: offchain
                action: read
              - entity: offchain
                action: write
              - entity: peers
                action: read
              - entity: peers
                action: write
              - entity: signer
                action: read
              - entity: signer
                action: generate
  volumes:
    rtl:
      minimum_size: 10Mi
      recommended_size: 100Mi
      name: Data
      description: Ride the Lightning data
    boltz:
      minimum_size: 10Mi
      recommended_size: 100Mi
      name: Boltz Data
      description: Boltz data
    loop:
      minimum_size: 10Mi
      recommended_size: 100Mi
      name: Loop Data
      description: Lightning Loop data
